"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanContextMap = void 0;
var context_map_scanner_mojo_1 = require("./context-map-scanner-mojo");
var readJson = require("read-package-json");
function scanContextMap() {
    readPackageJson();
}
exports.scanContextMap = scanContextMap;
function readPackageJson() {
    readJson("./package.json", null, false, function (er, data) {
        var _a;
        if (er) {
            console.error("Error: There was an error reading package.json");
            return;
        }
        var key = (_a = data.contextmap) === null || _a === void 0 ? void 0 : _a.key;
        if (!key) {
            console.error("Error: Please add a contextmap key to package.json");
            return;
        }
        var mojo = new context_map_scanner_mojo_1.ContextMapScannerMojo(key);
        mojo.execute();
    });
}
